darkice(1)

NAME
darkice - an icecast / shoutcast live audio streamer

SYNOPSIS
darkice [options] -c config.file

DESCRIPTION

DarkIce is an IceCast and ShoutCast live audio streamer. It takes audio input from a sound card, encodes it into mp3, and sends the stream to one or more IceCast and / or ShoutCast servers. DarkIce uses POSIX real-time scheduling to keep up with sound card input. POSIX real-time scheduling is only available if the program is run as root. Therefore it is recommended that DarkIce is run as root. DarkIce uses the Lame mp3 encoder as a library to encode audio intput to mp3.

OPTIONS

-c config.file

--config=config.file
    Specifies what configuration file to use.

-v n

--verbosity=n
    Sets the verbosity level, between 0 and 10. 0 is silent, 10 is loud. Defaults to 1.

-h

--help
    Prints the help page and exists.

BUGS

Lots of bugs.

SEE ALSO
darkice.cfg(5)

AUTHOR
Akos Maroy <darkeye@users.sourceforge.net>

ACKNOWLEDGEMENTS
Some contributions by Jim Crilly <JCrilly@MSA.com>

LINKS
Project homepage: http://darkice.sourceforge.net/ IceCast homepage: http://www.icecast.org/ ShoutCast homepage: http://www.shoutcast.com/ Lame homepage: http://www.mp3dev.org/mp3/